Loading...
Searching...
No Matches
slists Class Reference

`#include <lists.h>`

## Public Member Functions

void | Clean (ring r=currRing)
INLINE_THIS void | Init (int l=0)

## Data Fields

int | nr
sleftv * | m

## Detailed Description

Definition at line 23 of file lists.h.

## Member Function Documentation

## Clean()

void slists::Clean | ( | ring | r = currRing | ) |

inline

Definition at line 26 of file lists.h.

{
assume (this!=NULL);
if (nr>=0)
{
int i;
for(i=nr;i>=0;i--)
{
if (m[i].rtyp!=DEF_CMD) m[i].CleanUp(r);
}
omFreeSize((ADDRESS)m, (nr+1)*sizeof(sleftv));
nr=-1;
}
//omFreeSize((ADDRESS)this, sizeof(slists));
omFreeBin((ADDRESS)this,slists_bin);
}
ADDRESS
void * ADDRESS
Definition auxiliary.h:120
i
int i
Definition cfEzgcd.cc:132
slists::m
sleftv * m
Definition lists.h:46
slists::nr
int nr
Definition lists.h:44
slists_bin
EXTERN_VAR omBin slists_bin
Definition lists.h:22
assume
#define assume(x)
Definition mod2.h:389
omFreeSize
#define omFreeSize(addr, size)
Definition omAllocDecl.h:260
omFreeBin
#define omFreeBin(addr, bin)
Definition omAllocDecl.h:259
NULL
#define NULL
Definition omList.c:12
DEF_CMD
@ DEF_CMD
Definition tok.h:58

## Init()

INLINE_THIS void slists::Init | ( | int | l = 0 | ) |

## Field Documentation

## m

sleftv* slists::m

Definition at line 46 of file lists.h.

## nr

int slists::nr

Definition at line 44 of file lists.h.

The documentation for this class was generated from the following file:

- Singular/lists.h